<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0">Dashboard</h1>
      </div><!-- /.col -->
      <div class="col-sm-6">
        <ol class="breadcrumb float-sm-right">
          <li class="breadcrumb-item"><a href="/admin" *ngIf="isLoggedIn" routerLink="admin">Dashboard</a></li>
          <li class="breadcrumb-item active">Chat</li>
        </ol>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->
<!-- Main content -->
<div class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-header border-0">
            <div class="d-flex justify-content-between text-center">
              <h3 class="card-title text-center">DA-chat</h3>
              <!-- <a href="javascript:void(0);">View Report</a> -->
              <button type="button" class="btn btn-tool" data-card-widget="collapse">
                <i class="fas fa-minus"></i>
               </button>
            </div>
          </div>
          <div class="card-body">
            <div class="messaging">
              <div class="inbox_msg">
                <div class="inbox_people">
                  <div class="headind_srch">
                    <div class="recent_heading">
                      <h4>DA-chats</h4>
                    </div>
                    <div class="srch_bar">
                      <div class="stylish-input-group">
                        <input type="text" class="search-bar" [(ngModel)]="searchQuery" (ngModelChange)="searchChatUsers()" placeholder="Search" >
                        <span class="input-group-addon">
                        <button type="button"> <i class="fa fa-search" aria-hidden="true"></i> </button>
                        </span> </div>
                    </div>
                  </div>
                  <div class="inbox_chat">
                    <div class="chat_list" *ngFor="let user of users" [ngClass]="{'active': user._id === recieverId}" (click)="getUserChats(user._id)">
                      <div class="chat_people">
                        <div class="chat_img"></div>
                        <div class="chat_ib">
                          <h5>
                            {{user.name}}
                            <!-- <span class="chat_date">Dec 25</span> -->
                          </h5>
                          <!-- <p>Test, which is a new approach to have all solutions astrology under one roof.</p> -->
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="mesgs">
                  <div id="chat-msg-user" class="chat-msg-user">Chat Window</div>
                  <div class="msg_history" id="message-list" reciever-id="" #messageList>
                  </div>
                  <div class="type_msg" *ngIf="recieverId">
                    <div class="input_msg_write">
                      <input type="text" class="write_msg" placeholder="Type a message" name="message" [(ngModel)]="message" (keyup.enter)="SendMessage()" />
                      <button class="msg_send_btn" type="button"  (click)="SendMessage()"><i class="fa fa-paper-plane-o" aria-hidden="true"></i></button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!-- /.card -->
      </div>
      <!-- /.col-md-6 -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container-fluid -->
</div>
<!-- /.content -->